Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jxpath.util
Class ValueUtils

    java.lang.Object
      |
      +--org.apache.commons.jxpath.util.ValueUtils

public class ValueUtils
extends java.lang.Object

Collection and property access utilities.

Version:
  $Revision: 1.15 $ $Date: 2003/03/11 00:59:34 $
Author:
  Dmitri Plotnikov

Constructor Summary
`ValueUtils()`

Method Summary
`static java.lang.Object` | `expandCollection(java.lang.Object collection, int size)` Grows the collection if necessary to the specified size.
`static java.lang.reflect.Method` | `getAccessibleMethod(java.lang.reflect.Method method)` Return an accessible method (that is, one that can be invoked via reflection) that implements the specified Method.
`static int` | `getCollectionHint(java.lang.Class clazz)` Returns 1 if the type is a collection, -1 if it is definitely not and 0 if it may be a collection in some cases.
`static DynamicPropertyHandler` | `getDynamicPropertyHandler(java.lang.Class clazz)` Returns a shared instance of the dynamic property handler class returned by `getDynamicPropertyHandlerClass()`.
`static int` | `getLength(java.lang.Object collection)` Returns the length of the supplied collection.
`static java.lang.Object` | `getValue(java.lang.Object collection, int index)` Returns the index'th element of the supplied collection.
`static java.lang.Object` | `getValue(java.lang.Object bean, java.beans.PropertyDescriptor propertyDescriptor)` Returns the value of the bean's property represented by the supplied property descriptor.
`static java.lang.Object` | `getValue(java.lang.Object bean, java.beans.PropertyDescriptor propertyDescriptor, int index)` Returns the index'th element of the bean's property represented by the supplied property descriptor.
`static boolean` | `isCollection(java.lang.Object value)` Returns true if the object is an array or a Collection
`static java.util.Iterator` | `iterate(java.lang.Object collection)` Returns an iterator for the supplied collection.
`static java.lang.Object` | `remove(java.lang.Object collection, int index)` Returns the index'th element from the supplied collection.
`static void` | `setValue(java.lang.Object collection, int index, java.lang.Object value)` Modifies the index'th element of the supplied collection.
`static void` | `setValue(java.lang.Object bean, java.beans.PropertyDescriptor propertyDescriptor, int index, java.lang.Object value)` Modifies the index'th element of the bean's property represented by the supplied property descriptor.
`static void` | `setValue(java.lang.Object bean, java.beans.PropertyDescriptor propertyDescriptor, java.lang.Object value)` Modifies the value of the bean's property represented by the supplied property descriptor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValueUtils

    public ValueUtils()

Method Detail

### isCollection

    public static boolean isCollection(java.lang.Object value)

  Returns true if the object is an array or a Collection

### getCollectionHint

    public static int getCollectionHint(java.lang.Class clazz)

  Returns 1 if the type is a collection, -1 if it is definitely not and 0 if it may be a collection in some cases.

### getLength

    public static int getLength(java.lang.Object collection)

  Returns the length of the supplied collection. If the supplied object is not a collection, returns 1. If collection is null, returns 0.

### iterate

    public static java.util.Iterator iterate(java.lang.Object collection)

  Returns an iterator for the supplied collection. If the argument is null, returns an empty iterator. If the argument is not a collection, returns an iterator that produces just that one object.

### expandCollection

    public static java.lang.Object expandCollection(java.lang.Object collection,
                                                    int size)

  Grows the collection if necessary to the specified size. Returns the new, expanded collection.

### remove

    public static java.lang.Object remove(java.lang.Object collection,
                                          int index)

  Returns the index'th element from the supplied collection.

### getValue

    public static java.lang.Object getValue(java.lang.Object collection,
                                            int index)

  Returns the index'th element of the supplied collection.

### setValue

    public static void setValue(java.lang.Object collection,
                                int index,
                                java.lang.Object value)

  Modifies the index'th element of the supplied collection. Converts the value to the required type if necessary.

### getValue

    public static java.lang.Object getValue(java.lang.Object bean,
                                            java.beans.PropertyDescriptor propertyDescriptor)

  Returns the value of the bean's property represented by the supplied property descriptor.

### setValue

    public static void setValue(java.lang.Object bean,
                                java.beans.PropertyDescriptor propertyDescriptor,
                                java.lang.Object value)

  Modifies the value of the bean's property represented by the supplied property descriptor.

### getValue

    public static java.lang.Object getValue(java.lang.Object bean,
                                            java.beans.PropertyDescriptor propertyDescriptor,
                                            int index)

  Returns the index'th element of the bean's property represented by the supplied property descriptor.

### setValue

    public static void setValue(java.lang.Object bean,
                                java.beans.PropertyDescriptor propertyDescriptor,
                                int index,
                                java.lang.Object value)

  Modifies the index'th element of the bean's property represented by the supplied property descriptor. Converts the value to the required type if necessary.

### getDynamicPropertyHandler

    public static DynamicPropertyHandler getDynamicPropertyHandler(java.lang.Class clazz)

  Returns a shared instance of the dynamic property handler class returned by `getDynamicPropertyHandlerClass()`.

### getAccessibleMethod

    public static java.lang.reflect.Method getAccessibleMethod(java.lang.reflect.Method method)

  Return an accessible method (that is, one that can be invoked via reflection) that implements the specified Method. If no such method can be found, return `null`.
  Parameters:
    `method` - The method that we wish to call

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Apache Software Foundation. All Rights Reserved.